#
# spec file for package ghc-language-c-quote
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name language-c-quote
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.12.1
Release:        6.2
Summary:        C/CUDA/OpenCL/Objective-C quasiquoting library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exception-mtl-devel
BuildRequires:  ghc-exception-transformers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-meta-devel
BuildRequires:  ghc-mainland-pretty-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-srcloc-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-symbol-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  happy
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
This package provides a general parser for the C language, including most GCC
extensions and some CUDA and OpenCL extensions as well as the entire
Objective-C language.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update language-c-quote to version 0.12.1.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.12.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.11.7.3 revision 1 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 0.11.7.3 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.11.7.1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 0.11.7 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.11.6.3 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.11.6.2 revision 0 with cabal2obs.
